org.modeshape.jcr.spi.index

## Interface IndexConstraints

-     @Immutable
      public interface IndexConstraints

  The a set of constraints that ModeShape passes to `Filter` instances via the `Filter.filter(IndexConstraints)` method.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Constraint>` | `getConstraints()` Get the constraints that apply to the index to which this filter is submitted.
    `Map<String,Object>` | `getParameters()` Get the parameters for this filter operation that were set during this provider's `IndexPlanner.applyIndexes(org.modeshape.jcr.query.QueryContext, org.modeshape.jcr.query.model.SelectorName, java.util.List<javax.jcr.query.qom.Constraint>, java.lang.Iterable<org.modeshape.jcr.api.index.IndexDefinition>, org.modeshape.jcr.spi.index.IndexCollector)`
    `ValueFactories` | `getValueFactories()` Get the factories for values of various types.
    `Map<String,Object>` | `getVariables()` Get the variables that are to be substituted into the `BindVariableName` used in the query.
    `boolean` | `hasConstraints()` Return whether this filter contains constraints.

- - ### Method Detail

    - #### hasConstraints

          boolean hasConstraints()

      Return whether this filter contains constraints. This is identical to calling "`!getConstraints().isEmpty()` ".
      Returns:
        true if there is at least one constraint, or false if there are none

    - #### getConstraints

          Collection<Constraint> getConstraints()

      Get the constraints that apply to the index to which this filter is submitted.
      Returns:
        the constraints; never null but maybe empty

    - #### getVariables

          Map<String,Object> getVariables()

      Get the variables that are to be substituted into the `BindVariableName` used in the query.
      Returns:
        immutable map of variable values keyed by their name; never null but possibly empty

    - #### getValueFactories

          ValueFactories getValueFactories()

      Get the factories for values of various types.
      Returns:
        the type-based factories; never null

    - #### getParameters

          Map<String,Object> getParameters()

      Get the parameters for this filter operation that were set during this provider's `IndexPlanner.applyIndexes(org.modeshape.jcr.query.QueryContext, org.modeshape.jcr.query.model.SelectorName, java.util.List<javax.jcr.query.qom.Constraint>, java.lang.Iterable<org.modeshape.jcr.api.index.IndexDefinition>, org.modeshape.jcr.spi.index.IndexCollector)`
      Returns:
        the parameters; never null but may be empty

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.